
#ifndef __PS2IF_H
#define __PS2IF_H


#define kb_set_clock_0() (PDR8 |= 0x10)
#define kb_set_clock_1() (PDR8 &= 0xef)

#define kb_set_data_0() (PDR8 |= 0x01)
#define kb_set_data_1() (PDR8 &= 0xfe)

#define pc_set_clock_0() (PDR8 |= 0x20)
#define pc_set_clock_1() (PDR8 &= 0xdf)

#define pc_set_data_0() (PDR8 |= 0x02)
#define pc_set_data_1() (PDR8 &= 0xfd)

#define kb_get_clock() ((PDR8 >> 6) & 1)
#define kb_get_data() ((PDR8 >> 2) & 1)

#define pc_get_clock() ((PDR8 >> 7) & 1)
#define pc_get_data() ((PDR8 >> 3) & 1)

#endif
